## BtCmdPattern BtCmdPattern — class for an command pattern of a BtMachine instance |

## Functions

BtCmdPattern * | bt_cmd_pattern_new ()

## Properties

BtPatternCmd | command | Read / Write / Construct Only
BtMachine * | machine | Read / Write / Construct Only
gchar * | name | Read / Write / Construct
BtSong * | song | Read / Write / Construct Only

## Types and Values

struct | BtCmdPattern
enum | BtPatternCmd

## Object Hierarchy

        GEnum
        ╰── BtPatternCmd
        GObject
        ╰── BtCmdPattern
            ╰── BtPattern

## Includes

    #include <libbtcore/core.h>

## Description

A command pattern is used in the BtSequence to trigger certain actions. The actions are defined as the BtPatternCmd enum.

## Functions

### bt_cmd_pattern_new ()

    BtCmdPattern *
    bt_cmd_pattern_new (const BtSong * const song,
                        const BtMachine * const machine,
                        const BtPatternCmd cmd);

Create a new default pattern instance containg the given `cmd` event. It will be automatically added to the machines pattern list. If `cmd` is `BT_PATTERN_CMD_NORMAL` use `bt_pattern_new()` instead.

Don't call this from applications.

#### Parameters

song | the song the new instance belongs to |
machine | the machine the pattern belongs to |
cmd | a BtPatternCmd |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtCmdPattern

    struct BtCmdPattern;

Holds a sequence of events for a BtMachine.

### enum BtPatternCmd

The commands are only used in static internal patterns. Regular patterns use `BT_PATTERN_CMD_NORMAL` .

#### Members

BT_PATTERN_CMD_NORMAL | no command |
BT_PATTERN_CMD_MUTE | be quiet immediately |
BT_PATTERN_CMD_SOLO | be the only one playing |
BT_PATTERN_CMD_BYPASS | be uneffective (pass through) |
BT_PATTERN_CMD_BREAK | no more notes |

## Property Details

### The `“command”` property

      “command”                  BtPatternCmd

the command of this pattern.

Flags: Read / Write / Construct Only

Default value: BT_PATTERN_CMD_NORMAL

### The `“machine”` property

      “machine”                  BtMachine *

Machine object, the pattern belongs to.

Flags: Read / Write / Construct Only

### The `“name”` property

      “name”                     gchar *

the display-name of the pattern.

Flags: Read / Write / Construct

Default value: "unnamed"

### The `“song”` property

      “song”                     BtSong *

Song object, the pattern belongs to.

Flags: Read / Write / Construct Only